Subject: Re: [PATCH v2] hv_netvsc: Replace one-element array with flexible array member

From: Jakub Kicinski <[email-masked]>
Date: Thu, 16 Jan 2025 16:17:27 -0800

On Thu, 16 Jan 2025 13:39:52 -0800 Roman Kisel wrote:
> On 1/16/2025 1:19 PM, Thorsten Blum wrote:
> > Replace the deprecated one-element array with a modern flexible array
> > member in the struct nvsp_1_message_send_receive_buffer_complete.
> > 
> > Use struct_size_t(,,1) instead of sizeof() to maintain the same size.  
> 
> Thanks!
> 
> > 
> > Compile-tested only.  
> 
> The code change looks good to me now. I'll build a VM with this change
> to clear my conscience (maybe the change triggers a compiler bug,
> however unlikely that sounds) before replying with any tags. Likely next
> Monday, but feel free to beat me to it, or perhaps, someone else will
> tag this as reviewed by them and/or tested by them.

Doesn't look like a real bug fix, so would be good to get some signal
soon. The merge window is soon so we'll likely close the trees very
very soon ..